#
# spec file for package usbview (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           usbview
BuildRequires:  gtk-devel update-desktop-files
License:        GPL
Group:          Hardware/Other
Autoreqprov:    on
Version:        1.0
Release:        860.2
Source:         http://www.kroah.com/linux-usb/%{name}-%{version}.tar.gz
Source1:        %name.desktop
URL:            http://www.kroah.com/linux-usb/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        USB Topology and Device Viewer

%description
USBView is a GTK program that displays the topography of the devices
that are plugged into the USB on a Linux machine. It also displays
information on each of the devices. This can be useful to determine if
a device is working properly.



Authors:
--------
    Greg Kroah-Hartman <greg@kroah.com>

%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
		--prefix=%{_prefix} \
		--infodir=%{_infodir} \
		--sysconfdir=%{_sysconfdir}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make prefix=$RPM_BUILD_ROOT%{_prefix} install
%suse_update_desktop_file -i %name System Monitor

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO
/usr/share/applications/*
%{_prefix}/bin/usbview

%changelog -n usbview
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 30 2005 - meissner@suse.de
- use RPM_OPT_FLAGS correctly (missing \)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jan 10 2001 - grimmer@suse.de
- Update to 1.0 (bugfix release)
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Oct 05 2000 - grimmer@suse.de
- initial package created (version 0.9.0)
